Topic
[Others] Asus PCE-AC88 Wifi Driver Resolved
Tofloor
poster avatar
ky******ro@hotmail.com
deepin
2022-08-07 06:39
Author

Hi Everyone,

I've just discovered Deepin and I love how refined the GUI is, it looks fantastic.

Sadly the WiFi is not working. I am using an Asus PCE-AC88 Wi-Fi card (plugged into PCI-e) and I can confirm it worked right away on all Ubuntu-based Linux distros. It looks like Deepin is missing a lot of drivers. I've tried installing the non-free firmware as well but sometimes it has problems with dependencies and refuses to install anything.

It would be great if someone could make available a set of drivers and repositories for these devices (or make it part of the OS like Ubuntu-based systems do).

I have also noticed that in the GUI, there is no sub-menu for drivers, that would also be helpful for amateurs like myself.

Thank you for your help.

Reply Favorite View the author
All Replies
ky******ro@hotmail.com
deepin
2022-08-07 07:38
#1

Me again,
I found a solution, for those who might find this problem in the future:

https://askubuntu.com/questions/55868/installing-broadcom-wireless-drivers/60395#60395

I still hope the dev team includes the same drivers ubuntu have nowadays into the next deepin releases :)

Reply View the author
RX6900XT
deepin
2022-08-07 16:35
#2

Do you choose the 5.10 kernel or the 5.15 (deepin v23 is 5.18) kernel when installing the operating system? It is recommended that you install and select the 5.15 kernel. If you have already selected the 5.15 kernel, please install the 5.17 kernel in the system update source.

Reply View the author
jo******on@outlook.com
deepin
2022-08-07 17:59
#3

I have a Netgear A6100 WiFi Adapter that doesnt work with Deepin

Reply View the author
ky******ro@hotmail.com
deepin
2022-08-07 20:56
#4
RX6900XT

Do you choose the 5.10 kernel or the 5.15 (deepin v23 is 5.18) kernel when installing the operating system? It is recommended that you install and select the 5.15 kernel. If you have already selected the 5.15 kernel, please install the 5.17 kernel in the system update source.

I've installed it just yesterday with 5.15. I'm new to this OS so I'm gonna have to look around a bit how to install the latest

Reply View the author
ky******ro@hotmail.com
deepin
2022-08-08 07:41
#5
RX6900XT

Do you choose the 5.10 kernel or the 5.15 (deepin v23 is 5.18) kernel when installing the operating system? It is recommended that you install and select the 5.15 kernel. If you have already selected the 5.15 kernel, please install the 5.17 kernel in the system update source.

Are you sure it is possible to upgrade to that version right now? I've tried all last night but it's been useless sadly.

Reply View the author
RX6900XT
deepin
2022-08-09 02:59
#6
ky******ro@hotmail.com

Are you sure it is possible to upgrade to that version right now? I've tried all last night but it's been useless sadly.

The 5.17 kernel has already entered the source, but the name seems to be different.

linux-headers-deepin-experiment-amd64 linux-image-deepin-experiment-amd64

Reply View the author
Use Markdown Editor
Loading